Get information about a plain mail ID (contains only mailing id)
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/mailid/{mailId}/plain
Path Parameters
- clientIdstringrequiredDescription
- mailIdstringrequiredDescription
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestMailIdPlainInfo
- mailingIdinteger<int64>DescriptionFormatint64
- linksobject[]Description
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
400
curl
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/mailid/{mailId}/plain \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/mailid/{mailId}/plain", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/mailid/{mailId}/plain")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/mailid/{mailId}/plain"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The mail ID information was retrieved successfully.
{
"mailingId": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}400
// The mail ID is invalidly encoded or the indicated mail ID is not assigned to the indicated client. Ensure that "clientId" and "mailId" are correct and that "mailId" is assigned to the indicated client.